
QGIS Application - Bug report #4694

Hourglass not shown when classifying

2011-12-23 10:30 AM - mattwigway .

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:1.7.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14579

Description

When one classifies a large layer using the graduated symbology (new symbology), the hourglass/spinner cursor never appears. While

the classification is occurring, none of the buttons work, and the only visual indication that the classification is done is that the OK button is

highlighted instead of the Classify button. I noticed the issue on a 56,000 feature PostGIS table on Ubuntu 11.10, QGIS 1.7.3 from

UbuntuGIS on a 2.8GHz Pentium 4 with 3GB of RAM. I was using the computationally-intensive Natural Breaks classification method.

More of an annoyance than anything else, and certainly not high priority.

Associated revisions

Revision 1bc39756 - 2011-12-23 09:07 PM - Jürgen Fischer

fix #4694

Revision 14c58a5c - 2011-12-25 01:58 PM - Jürgen Fischer

fix #4694

History

#1 - 2011-12-23 12:07 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:"1bc3975676a2a0aa12de2f6af716281e2ce21bb6".
